import { Observable } from 'rxjs';
export interface IBase {
  // 增
  addOne(params: any, url: string): Observable<any>;
  asyncAddOne(params: any, url: string): Promise<any>;
  addMany(params: any[], url: string): Observable<any>;
  asyncAddMany(params: any[], url: string): Promise<any>;

  // 删
  delOne(params: any, url: string): Observable<any>;
  asyncDelOne(params: any, url: string): Promise<any>;
  delMany(params: any[], url: string): Observable<any>;
  asyncDelMany(params: any[], url: string): Promise<any>;

  // 改
  updateOne(params: any, url: string): Observable<any>;
  asyncUpdateOne(params: any, url: string): Promise<any>;
  updateMany(params: any[], url: string): Observable<any>;
  asyncUpdateMany(params: any[], url: string): Promise<any>;

  // 查
  getOne(params: any, url: string): Observable<any[]>;
  asyncGetOne(params: any, url: string): Promise<any[]>;
  getMany(params: any, url: string): Observable<any[]>;
  asyncGetMany(params: any, url: string): Promise<any[]>;
}
